From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 2 April 2004<P>

I WAS SURFING AND FOUND THIS...Being the massage therapist that I am...I love to read about the American Indian ways...we all can learn so much from their beliefs...<BR>
<BR>
<a href="http://www.homestead.com/arvollookinghorse/Articles_On_Chief_Arvol_May2002.html">http://www.homestead.com/arvollookinghorse/Articles_On_Chief_Arvol_May2002.html</a>
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 2 April 2004<P>

Dana,<BR>
It's so good that you are back here again...<a href="/blend/wv.cgi?id=2004.04.02.08.57.26970">To My Husband ...</a> ...i can certainly tell that you don't take this man for granted...Sounds like you are doing great! How many things are you juggling right now? How are you feeling??? Is your pregnancy going good for you? We need to chat! <BR>
CS58
<HR>